import request from '@/utils/request'
// 坐标点 更新  通用
export function pointSave(data) {
  return request({
    url: '/gis/map/point/do',
    method: 'post',
    data: data
  })
}
// 坐标点 更新  通用 自己指定主键ID
export function pointSavePri(data) {
  return request({
    url: '/gis/map/point/private/do',
    method: 'post',
    data: data
  })
}
// 多边形面 更新 通用
export function areaSave(data) {
  return request({
    url: '/gis/map/polygon/do',
    method: 'post',
    data: data
  })
}
// 多边形面 更新 通用 - 自己指定主键ID
export function areaSavePri(data) {
  return request({
    url: '/gis/map/polygon/private/do',
    method: 'post',
    data: data
  })
}
// 清空 geo 通用
export function cleanSave(data) {
  return request({
    url: '/gis/map/clean/do',
    method: 'post',
    data: data
  })
}
// 清空 geo 通用 自己指定主键ID
export function cleanSavePri(data) {
  return request({
    url: '/gis/map/clean/private/do',
    method: 'post',
    data: data
  })
}